import os
import sys
import time
from datetime import datetime, timezone, timedelta

if __name__ == '__main__':
    with open('/sys/class/thermal/thermal_zone0/temp') as f:
        cpu_temp = int(f.read()) / 1000
    with open('/sys/class/thermal/thermal_zone1/temp') as f:
        soc_temp = int(f.read()) / 1000
    
    jst = timezone(timedelta(hours=+9), 'JST')
    dt_now = datetime.now(jst)

    os.makedirs('/root/python_app/log', exist_ok=True)
    with open('/root/python_app/log/temp.txt', 'a') as f:
        f.write(f'{dt_now.isoformat()}, cpu temperature:{cpu_temp}, soc temperature:{soc_temp}\n')

    led = '/sys/class/leds/led1/brightness'
    with open(led, 'r+') as f:
        val = int(f.read())
        for _ in range(5):
            val = 1 & ~val
            f.write(f'{val}')
            f.seek(0, os.SEEK_SET)
            time.sleep(0.5)
            val = 1 & ~val
            f.write(f'{val}')
            f.seek(0, os.SEEK_SET)
            time.sleep(0.5)
