#!/bin/bash -e

SCRIPTS_DIR=$(cd "$(dirname "$0")" && pwd) || exit
PROJECT_HOME="$SCRIPTS_DIR/.."
ARCH=$(jq -r .arch "$PROJECT_HOME/info.json") || exit
BASE_FILES_DIR="$PROJECT_HOME/container_$ARCH/base"
BASE_IMAGE_NAME="script_app_base_image"
BASE_IMAGE_TAG="latest"

(
    cd "$BASE_FILES_DIR"
    if ! podman image inspect "$BASE_IMAGE_NAME":"$BASE_IMAGE_TAG" >& /dev/null; then
        podman build -t "$BASE_IMAGE_NAME":"$BASE_IMAGE_TAG" .
    fi
)
